Subject: bug#39080: How do language packs work?

From: Caleb Herbert <[email-masked]>
Date: Fri, 10 Jan 2020 22:58:35 -0600

On 1/10/20 10:31 PM, Julien Lepiller wrote:
> Thanks for your interest in localisation! I'm unfortunately unable to find a language code for your language. That is necessary for software to recognise it and speak it. I may not have searched correctly, so maybe you can find the correct code?

pdc

Examples:
https://pdc.wikipedia.org/wiki/Haaptblatt
https://www.jw.org/pdc/
https://iso639-3.sil.org/code/pdc

> Once you have that code, you can use it in the guix system in the locale field of your os declaration. If you are on a foreign distro, then check with them how to set a language (or set $LANG temporarily).

I highly doubt a locale file for pdc_US exists.  I'd like to make one,
but the file for en_US and yi_US don't show the actual characters.  I
just see "<U####>", which I can't read or produce.

> To help translate guix, please have a look at the translation project: https://translation-project.org

Thanks.